package il.co.cortext.rui.examples;

import org.eclipse.swt.SWT;
import org.eclipse.swt.events.SelectionAdapter;
import org.eclipse.swt.events.SelectionEvent;
import org.eclipse.swt.layout.RowLayout;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Display;
import org.eclipse.swt.widgets.Shell;

public class ExitExample {
	
	Shell shell;	

	public static void main(String [] args) {
		Display display = new Display();
		Shell shell = new ExitExample().open(display);
		while (!shell.isDisposed())
			if (!display.readAndDispatch()) display.sleep();
		display.dispose();
	}

	public Shell open(Display display) {
		shell = new Shell(display);
		shell.setLayout(new RowLayout());
		shell.setText("Shell Close Demo");
		Button button = new Button(shell, SWT.CENTER);
		button.setText("click to exit");
		button.addSelectionListener(new SelectionAdapter() {
			public void widgetSelected(SelectionEvent e) { shell.close(); }
		});
		shell.pack();
		shell.open();
		return shell;
	}

}
