package il.co.cortext.rui.examples;

import org.eclipse.swt.SWT;
import org.eclipse.swt.custom.SashForm;
import org.eclipse.swt.widgets.Display;
import org.eclipse.swt.widgets.Group;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.swt.layout.FillLayout;

public class SashFormExample {

	public static void main(String [] args) {
		Display display = new Display();
		Shell shell = new SashFormExample().open(display);
		while (!shell.isDisposed ())
			if (!display.readAndDispatch ()) display.sleep();
		display.dispose();
	}

	public Shell open(Display display) {
		Shell shell = new Shell(display);
		shell.setLayout(new FillLayout());

		SashForm sashForm = new SashForm(shell, SWT.HORIZONTAL);
		Group    group1   = new Group(sashForm, SWT.NONE);
		Group    group2   = new Group(sashForm, SWT.NONE);
		new Label(group1, SWT.CENTER).setText("Child 1");
		new Label(group2, SWT.CENTER).setText("Child 2");
		group1.setLayout(new FillLayout());
		group2.setLayout(new FillLayout());

		shell.pack();
		shell.open();
		return shell;
	}

}
