package il.co.cortext.rui.examples;

import org.eclipse.swt.SWT;
import org.eclipse.swt.events.ModifyEvent;
import org.eclipse.swt.events.ModifyListener;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Display;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.swt.widgets.Text;

public class TextFieldExample {

	private Label label;
	private Text text;

	public static void main(String [] args) {
		Display display = new Display();
		Shell shell = new TextFieldExample().open(display);
		while (!shell.isDisposed())
			if (!display.readAndDispatch()) display.sleep();
		display.dispose();
	}

	public Shell open(Display display) {
		Shell shell = new Shell(display);
		shell.setLayout(new GridLayout(1, false));

		label = new Label(shell, SWT.CENTER);
		label.setText("Change textfield then press Tab");
		label.setLayoutData(new GridData(GridData.FILL_HORIZONTAL));

		text = new Text(shell, SWT.SINGLE | SWT.BORDER);
		text.setLayoutData(new GridData(GridData.FILL_HORIZONTAL));
		text.setText("change me");
		text.addModifyListener(new ModifyListener() {
			public void modifyText(ModifyEvent e)
				{ label.setText(text.getText()); }
		});

		shell.pack();
		shell.open();
		return shell;
	}

}
