package il.co.cortext.rui.examples.phonebook;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Composite;

import org.eclipse.jface.viewers.IStructuredContentProvider;
import org.eclipse.jface.viewers.LabelProvider;
import org.eclipse.jface.viewers.ListViewer;
import org.eclipse.jface.viewers.StructuredSelection;
import org.eclipse.jface.viewers.Viewer;

public class ContactNavigator {

	ListViewer navigator;

	public ContactNavigator(Composite parent, PhoneBookModel input) {
		navigator = new ListViewer
			(parent, SWT.BORDER | SWT.H_SCROLL | SWT.V_SCROLL);

		navigator.setContentProvider(new IStructuredContentProvider() {
			public void inputChanged(Viewer viewer, Object oldObject, Object newObject) {}
			public void dispose() {}
			public Object[] getElements(Object inputElement)

				{ return ((PhoneBookModel) inputElement).getContacts().toArray(); }

		});

		navigator.setLabelProvider(new LabelProvider() {
			public String getText(Object element)
				{ return ((ContactModel) element).getName(); }
		});

		navigator.setInput(input);

		navigator.setSelection
			(new StructuredSelection(input.getContacts().get(0)));

	}

	public ListViewer getViewer() { return navigator; }

}
