package il.co.cortext.rui.examples.widget;

import org.eclipse.swt.SWT;
import org.eclipse.swt.custom.SashForm;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.TabFolder;
import org.eclipse.swt.widgets.Text;

public class SashFormTab extends Tab {

	public Composite createTabFolderPage(TabFolder tabFolder) throws Exception {
		Composite tabFolderPage = new SashForm(tabFolder, SWT.VERTICAL);

		Text child1     = new Text(tabFolderPage, SWT.MULTI | SWT.BORDER);
		SashForm parent = new SashForm(tabFolderPage, SWT.HORIZONTAL);
		Text child2     = new Text(parent, SWT.MULTI | SWT.BORDER);
		Text child3     = new Text(parent, SWT.MULTI | SWT.BORDER);
		child1.setText("foo");
		child2.setText("bar");
		child3.setText("baz");

		return tabFolderPage;
	}

	String getTabText() { return "SashForm"; }

}
