package il.co.cortext.rui.examples.widget;

import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Group;
import org.eclipse.swt.widgets.TabFolder;
import org.eclipse.swt.widgets.Text;

public class TextTab extends Tab {

	private Group singleGroup, multiGroup;
	private Text single, multi;

	public Composite createTabFolderPage(TabFolder tabFolder) throws Exception {
		Composite tabFolderPage = new Composite(tabFolder, SWT.NONE);
		tabFolderPage.setLayout(new GridLayout());

		singleGroup = createGroup(tabFolderPage, "single line", true);
		multiGroup  = createGroup(tabFolderPage, "multi line" , true);
		single      = new Text(singleGroup, SWT.SINGLE | SWT.BORDER);
		multi       = new Text(multiGroup, SWT.MULTI | SWT.BORDER);
		single.setText("single line");
		multi.setText("multi line");
		multiGroup.setLayoutData(new GridData(GridData.FILL_BOTH));

		return tabFolderPage;
	}

	String getTabText() { return "Text"; }

}
