package org.eclipse.swt.widgets;

import org.eclipse.swt.SWT;

public class TabFolder extends Composite {

	Composite noteBookHeader, stack;

	TabFolder() {}

	public TabFolder(Composite parent, int style) {
		super(parent, style);
		noteBookHeader = new Composite(this, SWT.NONE, CLASS_NOTEBOOKHEADER);
		stack          = new Composite(this, SWT.NONE);
	}

// child management------------------------------------------------------------

	protected String addChild(Widget child) {
		return
			getChildren().length < 2? super.addChild(child):
			child instanceof TabItem? noteBookHeader.addChild(child):
			stack.addChild(child);
	}

// template methods -----------------------------------------------------------

	protected String getDefaultProxyClassName() { return CLASS_NOTEBOOK; }

}
