package org.eclipse.swt.widgets.tests;

import il.co.cortext.rui.remote.IRuiConstants;

import org.eclipse.swt.widgets.Group;

public class GroupTest extends CompositeTest {

	private Group subject;

	public GroupTest(String name) { super(name); }

	protected void setUp() throws Exception {
		super.setUp();
		subject = (Group) getSubject();
	}

	public void testSetText() throws Exception {
		subject.setText("Hello World");
		assertBuffer(subject, IRuiConstants.METHOD_SETTEXT, "Hello World");
		assertEquals("Hello World", subject.getText());
	}

// template methods -----------------------------------------------------------

	protected Class getSubjectClass() { return Group.class; }

}
