#!perl -w

=head1 NAME

test - run Rui unit tests

  # run all tests
  perl test.pl

  # a specific test
  perl test.pl Event::Listenable

  # run all tests for a cluster, note trailing seperator
  perl test.pl Widget::
  perl test.pl Event::


=cut

use FindBin;
use lib "$FindBin::Bin/../../../base/perllib";

use strict;
use Rui;

$|=1;

$ARGV[0] = 'AllTests' unless @ARGV;
$ARGV[0] = 'Rui::'. $ARGV[0];
$ARGV[0] =~ s/::$/::AllTests/;
$ARGV[0] =~ s/(::)?([^:]+)$/$1tests::$2/;

use Test::Unit::TestRunner;
my $testrunner = Test::Unit::TestRunner->new;
$testrunner->start(@ARGV);

#use Test::Unit::TkTestRunner;
#Test::Unit::TkTestRunner::main('Rui::tests::AllTests');

#use Test::Unit::Runner::Terminal;
#my $testrunner = Test::Unit::Runner::Terminal->new;
