package Rui::Application::eg::ComboBox;

use Rui::Model::SelectionInList;

use base 'Rui::Application::Base';

sub start
{
	my $self = shift;
	$self->layoutManager(name => 'grid');
	my $label = $self->Label(value => 'Click item to change me');

	my $model = Rui::Model::SelectionInList->
		new(data => [map {"item#$_"} 1..10], selectFirst => 1);
	$self->ComboBox(
		layoutHint => {flex => 1, fill => 1},
	)->model($model);

	$model->selection->addListener(Change => sub {
		$label->value(shift->value)
	});
}

1;

__END__

