package Rui::Application::eg::List;

use Rui::Model::SelectionInList;

use base 'Rui::Application::Base';

sub start
{
	my $self = shift;
	$self->layoutManager(name => 'grid');

	my $applicationModel = Rui::Model::SelectionInList->new
		(data => [map {"Item #$_"} 1..30]);

	my $field = $self->TextField(
		layoutHint  => {hFlex => 1, hAlign => 'fill'},
		readOnly    => 1,
		adapt       => [value => $applicationModel->selectionHolder],
	);

	$self->List(
		layoutHint => {flex => 1, fill => 1},
		model      => $applicationModel,
	);


}

1;

__END__
