package Rui::Application::eg::Widget::DoubleList;

use Carp;
use Attribute::Protected;

use Rui::Model::DoubleList;
use Rui::Model::SelectionInList;

use base 'Rui::Application::eg::Widget::Base';

sub populate : Protected
{
	my $self = shift;
	$self->layoutManager(name => 'fill');
	my $model = Rui::Model::DoubleList->new(
		left => Rui::Model::SelectionInList->new(
			data         => [qw(engine tube tire door window roof display)],
			selectedItem => 'tube',
		),
	);
	$self->DoubleList(model => $model);
}

1;

