package Rui::Model::tests::ModelTestCase;

use Carp;

use base qw(Test::Unit::TestCase);

sub set_up
{
	my $self = shift;
	$self->makeModel;
}

sub tear_down
{
	my $self = shift;
	$self->{model} = undef;
}

sub makeModel
{
	my ($self, %params) = @_;
	my $modelClass = $self->getModelClass;
	$self->{model} = $modelClass->new(%params);
	return $self->{model};
}

sub getModelClass { croak "abstract" }

1;

__END__
