package Rui::Widget::tests::Group;

use base qw(Rui::Widget::tests::TestCase);

sub getSubjectClass { 'Group' }

sub set_up
{
	my $self = shift;
	$self->SUPER::set_up;
	$self->{subject} = $self->createWidget;
	$self->flushBuffer;
}

sub test_value1
{
	my $self = shift;
	$self->{subject}->value('foo');
	$self->assert_equals('foo', $self->{subject}->value);
}

sub test_value2
{
	my $self = shift;
	$self->{subject}->value('foo');
	$self->assert_serverBuffer('W1', 'E1', ([qw(value foo)]));
}

1;

