package PhoneBook::Application::PhoneBook;

use Carp;
use Attribute::Protected;
use PhoneBook::Model::Contact;
use PhoneBook::Model::PhoneBook;

use base 'Rui::Application::Base';

sub start
{
	my $self = shift;
	my $contact   = PhoneBook::Model::Contact->create;
	my $phoneBook = PhoneBook::Model::PhoneBook->create;
	$contact->name('John Doe');
	$contact->phone('123-9999');
	$contact->email('johndoe@acme.com');
	$phoneBook->contacts([$contact]);
	$self->layoutManager(name => 'fill');
	$self->PhoneBook__View__PhoneBook(model => $phoneBook);
}

1;



