
use ("Client_ServerProxy");

Class("Client_tests_ServerProxy", "Test_Case");

_.testBoot = function () {
	var proxy = new Client_ServerProxy;
	var response = proxy.boot("HelloWorld").getMessage().
		replace(/\x01/g, ".").replace(/\x02/g, "\n");
	this.assert(
		"boot1",
		response.indexOf("Window.create.W1") != -1
	);
	this.assert(
		"boot2",
		response.indexOf("Panel.create.W1.E1.-1") != -1
	);
	this.assert(
		"boot3",
		response.indexOf("Label.create.W1.E2.E1") != -1
	);
	this.assert(
		"boot4",
		response.indexOf("Label.value.W1.E2.Hello World") != -1
	);
}

