
Class("Widget_SelectBox_Controller_Single", "Widget_List_Controller_Single");
Class_Singleton();

_.removeItem = function (list, item) {
	if (item.id == list.selectedId) list.createUnselected();
	this.Widget_List_Controller_Single_removeItem(list, item)
}

_.selectItem = function (list, item) {
	var oldId = list.selectedId;
	if (item == -1 && oldId != -1) list.createUnselected();
	if (item != -1 && oldId == -1) list.removeUnselected();
	this.Widget_List_Controller_Single_selectItem(list, item);
}

_.onClick = function (list, index, shiftOn, ctrlOn) { 
	var unselected = 0;
	if (list.selectedId == -1) unselected = 1;
	var event = this.Widget_List_Controller_Single_onClick
		(list, index, shiftOn, ctrlOn);
	if (unselected == 1) event.selectedIndex--;
	return event;
}
