
Class("Widget_tests_AllTests");

_.suite = function () {
	var suite = new Test_Suite("Widget package");

	suite.addTestCase("Widget_tests_Panel");

	suite.addTestCase("Widget_tests_Label");
	suite.addTestCase("Widget_tests_Button");
	suite.addTestCase("Widget_tests_CheckBox");
	suite.addTestCase("Widget_tests_TextField");
	suite.addTestCase("Widget_tests_RadioBox");
	suite.addTestCase("Widget_tests_TextArea");
	suite.addTestCase("Widget_tests_HTMLArea");

	suite.addTestCase("Widget_tests_Splitter");
	suite.addTestCase("Widget_tests_SplitPanel");

	suite.addTestCase("Widget_tests_NoteBook");
	suite.addTestSuite("Widget_NoteBook_tests_AllTests");

	suite.addTestCase("Widget_tests_List");
	suite.addTestSuite("Widget_List_tests_AllTests");


	suite.addTestCase("Widget_tests_SelectBox");
	suite.addTestSuite("Widget_SelectBox_tests_AllTests");

	suite.addTestSuite("Widget_Layout_tests_AllTests");

	suite.addTestCase("Widget_tests_Window");

/*
	suite.addTestCase("Widget_tests_Tree");
	suite.addTestSuite("Widget_Tree_tests_AllTests");
*/

	return suite;

}
