
use ("Widget_Button");

Class("Widget_tests_Button", "Widget_tests_TestCase");

_.getSubjectClass = function () { return Widget_Button }

_.testValue = function () {
	this.subject.value("foo");
	this.assertEquals("value", "foo", this.subject.getValue());
}

_.testComputeMinWidth1 = function () {
	this.subject.value("Hello World");
	this.assertEquals
		("HelloWorld", this.getHelloWorldWidth(), this.subject.computeMinWidth());
}

_.testComputeMinHeight = function () {
	this.subject.value("Hello World");
	this.assertEquals
		("HelloWorld", this.getCharHeight(), this.subject.computeMinHeight());
}
