package il.co.cortext.rui.examples;

import org.eclipse.swt.SWT;
import org.eclipse.swt.events.SelectionAdapter;
import org.eclipse.swt.events.SelectionEvent;
import org.eclipse.swt.layout.RowLayout;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Display;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Shell;

public class ButtonExample {
	
	private Label label;

	public static void main(String [] args) {
		Display display = new Display();
		Shell shell = new ButtonExample().open(display);
		while (!shell.isDisposed())
			if (!display.readAndDispatch()) display.sleep();
		display.dispose();
	}

	public Shell open(Display display) {
		Shell shell = new Shell(display);
		shell.setLayout(new RowLayout());
		label = new Label(shell, SWT.CENTER);
		label.setText("foo");
		Button button = new Button(shell, SWT.CENTER);
		button.setText("click to switch label");
		button.addSelectionListener(new SelectionAdapter() {
			public void widgetSelected(SelectionEvent e) {
				label.setText(label.getText().equals("foo")? "bar": "foo");
			}
		});
		shell.pack();
		shell.open();
		return shell;
	}

}
