package il.co.cortext.rui.examples;

import org.eclipse.swt.SWT;
import org.eclipse.swt.events.SelectionAdapter;
import org.eclipse.swt.events.SelectionEvent;
import org.eclipse.swt.layout.FillLayout;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Display;
import org.eclipse.swt.widgets.Shell;

public class CheckBoxExample {
	
	private Button button;

	public static void main(String [] args) {
		Display display = new Display();
		Shell shell = new CheckBoxExample().open(display);
		while (!shell.isDisposed())
			if (!display.readAndDispatch()) display.sleep();
		display.dispose();
	}

	public Shell open(Display display) {
		Shell shell = new Shell(display);
		shell.setLayout(new FillLayout());
		button = new Button(shell, SWT.CHECK);
		button.setText("click to change text");
		button.addSelectionListener(new SelectionAdapter() {
			public void widgetSelected(SelectionEvent e) {
				button.setText("checkbox value is " + button.getSelection());
			}
		});
		shell.pack();
		shell.open();
		return shell;
	}

}
