package il.co.cortext.rui.examples;

import org.eclipse.swt.SWT;
import org.eclipse.swt.events.SelectionAdapter;
import org.eclipse.swt.events.SelectionEvent;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Display;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Combo;
import org.eclipse.swt.widgets.Shell;

public class ComboExample {

	private Label label;
	private Combo combo;

	public static void main(String [] args) {
		Display display = new Display();
		Shell shell = new ComboExample().open(display);
		while (!shell.isDisposed())
			if (!display.readAndDispatch()) display.sleep();
		display.dispose();
	}

	public Shell open(Display display) {
		Shell shell = new Shell(display);
		shell.setLayout(new GridLayout(1, false));

		label = new Label(shell, SWT.CENTER);
		label.setText("Click item to change me");
		label.setLayoutData(new GridData(GridData.FILL_HORIZONTAL));

		combo = new Combo(shell, SWT.READ_ONLY | SWT.DROP_DOWN);
		combo.setLayoutData(new GridData(GridData.FILL_BOTH));
		for (int i = 1; i < 31; i++) combo.add("Item " + i);
		combo.addSelectionListener(new SelectionAdapter() {
			public void widgetSelected(SelectionEvent e)
				{ label.setText(combo.getItem(combo.getSelectionIndex())); }
		});

		shell.pack();
		shell.open();
		return shell;
	}

}
