package il.co.cortext.rui.examples;

import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Display;
import org.eclipse.swt.widgets.Button;
import org.eclipse.swt.widgets.Shell;

public class GridExample {

	public static void main(String [] args) {
		Display display = new Display();
		Shell shell = new GridExample().open(display);
		while (!shell.isDisposed())
			if (!display.readAndDispatch()) display.sleep();
		display.dispose();
	}

	public Shell open(Display display) {
		Shell shell = new Shell(display);
		shell.setLayout(new GridLayout(3, false));

		Button button1 = new Button(shell, SWT.CENTER);
		button1.setText("B1");
		button1.setLayoutData(new GridData(GridData.VERTICAL_ALIGN_FILL));

		new Button(shell, SWT.CENTER).setText("Wide Button2");

		Button button3 = new Button(shell, SWT.CENTER);
		button3.setText("B3");
		GridData layoutData3 = new GridData(GridData.FILL_BOTH);
		layoutData3.verticalSpan = 2;
		button3.setLayoutData(layoutData3);

		Button button4 =  new Button(shell, SWT.CENTER);
		button4.setText("B4");
		button4.setLayoutData(new GridData(GridData.VERTICAL_ALIGN_FILL));

		new Button(shell, SWT.CENTER).setText("B5");

		shell.pack();
		shell.open();
		return shell;
	}

}
