package il.co.cortext.rui.examples;

import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.FillLayout;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Display;
import org.eclipse.swt.widgets.Group;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.swt.widgets.Text;

public class GroupExample {

	private Label label;
	private Text textIn, textOut;

	public static void main(String [] args) {
		Display display = new Display();
		Shell shell = new GroupExample().open(display);
		while (!shell.isDisposed())
			if (!display.readAndDispatch()) display.sleep();
		display.dispose();
	}

	public Shell open(Display display) {
		Shell shell = new Shell(display);
		shell.setLayout(new FillLayout());

		Group topGroup = new Group(shell, SWT.NONE);
		topGroup.setText("Top Group");
		topGroup.setLayout(new GridLayout(3, false));
		for (int row = 1; row < 4; row++) {
			for (int col = 1; col < 4; col++) {
				Group group = new Group(topGroup, SWT.NONE);
				group.setText("Group " + row +"." + col);
				group.setLayout(new FillLayout());
				group.setLayoutData(new GridData(GridData.FILL_BOTH));
				Label label = new Label(group, SWT.CENTER);
				label.setText("Inside Group " + row +"." + col);
			}
		}

		shell.pack();
		shell.open();
		return shell;
	}

}
