package il.co.cortext.rui.examples.widget;

import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.FillLayout;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.RowLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Group;
import org.eclipse.swt.widgets.Layout;
import org.eclipse.swt.widgets.TabFolder;

public abstract class Tab {

	public abstract Composite createTabFolderPage(TabFolder tabFolder)
		throws Exception;

	protected Group createGroup(Composite parent, String text, boolean fill) {
		Group group = new Group(parent, SWT.NONE);
		group.setText(text);
		group.setLayoutData(new GridData(GridData.FILL_HORIZONTAL));
		Layout layout = new RowLayout();
		if (fill) layout = new FillLayout();
		group.setLayout(layout);
		return group;
	}

	abstract String getTabText();

}
