package il.co.cortext.rui.examples.widget;

import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Group;
import org.eclipse.swt.widgets.TabFolder;
import org.eclipse.swt.widgets.Tree;
import org.eclipse.swt.widgets.TreeItem;

public class TreeTab extends Tab {

	private Group treeGroup;
	private Tree tree;

	private void setChildren(TreeItem parentItem, int size) {
		TreeItem tempItem;
		for (int i = size-1; i >= 0; i--) {
			tempItem = new TreeItem(parentItem,SWT.CENTER,0);
			tempItem.setText(parentItem.getText() + "." + i);
		}
	}
	
	public Composite createTabFolderPage(TabFolder tabFolder) throws Exception {
		Composite tabFolderPage = new Composite(tabFolder, SWT.NONE);
		tabFolderPage.setLayout(new GridLayout());
		tree = new Tree(tabFolderPage, SWT.BORDER | SWT.H_SCROLL | SWT.V_SCROLL);
		tree.setLayoutData(new GridData(GridData.FILL_BOTH));
		TreeItem child0 = new TreeItem(tree,SWT.CENTER,0);
		child0.setText(" Child 0");
		TreeItem child1 = new TreeItem(tree,SWT.CENTER,1);
		child1.setText(" Child 1");

		setChildren(child1,5);
		setChildren((child1.getItems())[2],5);
		setChildren((((child1.getItems())[2]).getItems())[3],4);
	
		return tabFolderPage;
	}

	String getTabText() { return "Tree"; }

}
