package il.co.cortext.rui.remote;

public interface IRuiConstants {

	final String

// special widget id for windows ----------------------------------------------

		WINDOW_WIDGETID       = "-1",

// class names ----------------------------------------------------------------

		CLASS_WINDOW          = "Window",
		CLASS_LABEL           = "Label",
		CLASS_PANEL           = "Panel",
		CLASS_BUTTON          = "Button",
		CLASS_NOTEBOOK        = "NoteBook",
		CLASS_NOTEBOOKHEADER  = "NoteBookHeader",
		CLASS_TAB             = "Tab",
		CLASS_TEXTFIELD       = "TextField",
		CLASS_TEXTAREA        = "TextArea",
		CLASS_LIST            = "List",
		CLASS_SPLITPANEL      = "SplitPanel",
		CLASS_GROUP           = "Group",
		CLASS_COMBO           = "SelectBox",
		CLASS_CHECKBOX        = "CheckBox",
		CLASS_RADIOBOX        = "RadioBox",
		CLASS_TREE            = "Tree",

// common method names --------------------------------------------------------

		METHOD_CREATE         = "create",
		METHOD_DESTROY        = "destroy",
		METHOD_STYLE          = "style",
		METHOD_TOOLTIP        = "tooltip",
		METHOD_DISABLED       = "disabled",
		METHOD_LAYOUTHINT     = "layoutHint",
		METHOD_CLEAR          = "clear",

// window method names --------------------------------------------------------

		METHOD_TITLE          = "title",

// panel method names ---------------------------------------------------------

		METHOD_LAYOUTMANAGER  = "layoutManager",

// label method names ---------------------------------------------------------

		METHOD_SETTEXT        = "value",
		METHOD_HALIGN         = "hAlign",
		METHOD_IMAGEURL       = "image",
		METHOD_IMAGEWIDTH     = "imageWidth",
		METHOD_IMAGEHEIGHT    = "imageHeight",

// button method names --------------------------------------------------------

		METHOD_VALUE          = "value",
		METHOD_LABEL          = "label",

// list method names ----------------------------------------------------------

		METHOD_REMOVEBYINDEX  = "removeByIndex",
		METHOD_SELECTEDINDEX  = "selectedIndex",
		METHOD_INSERT         = "insert",

// tree method names ----------------------------------------------------------

		METHOD_NODEIMAGE         = "setNodeImage",
		METHOD_NODEVALUE         = "setNodeValue",
		METHOD_SELECTEDPATH      = "selectedPath",
	   METHOD_REMOVEBYPATH      = "removeByPath",

// layout fields---------------------------------------------------------------

		FIELDNAME_ORIENT      = "orient",

		FIELDVALUE_HORIZONTAL = "horizontal",
		FIELDVALUE_VERTICAL   = "vertical";

}
