package org.eclipse.swt.layout;

import java.util.HashMap;
import java.util.Map;

import org.eclipse.swt.SWT;
import org.eclipse.swt.widgets.Layout;

public final class FillLayout extends Layout {

	public int type = SWT.HORIZONTAL;

	public FillLayout () {}

	public FillLayout (int type) { this.type = type; }

	protected String getName() { return "fill"; }

	protected Map getState() {
		Map state = new HashMap();
		state.put("orient", type == SWT.HORIZONTAL? "horizontal": "vertical");
		return state;
	}

}
