package org.eclipse.swt.layout;

import java.util.HashMap;
import java.util.Map;

import org.eclipse.swt.widgets.Layout;

public final class RowLayout extends Layout {

	public boolean pack    = true;
	public boolean justify = false;
	public int spacing     = 3;

	public RowLayout () {}

	protected String getName() { return "row"; }

	protected Map getState() {
		Map state = new HashMap();
		state.put("pack",    pack?    "1": "0");
		state.put("justify", justify? "1": "0");
		state.put("spacing", "" + spacing);
		return state;
	}

	protected Map mapChildLayoutData(Object layoutData)
		{ return ((RowData) layoutData).getState(); }

}
