package org.eclipse.swt.widgets;

//import org.eclipse.swt.SWT;
//import org.eclipse.swt.graphics.Color;
import il.co.cortext.rui.remote.RuiSession;
import il.co.cortext.rui.remote.RuiSessionManager;

import org.eclipse.swt.graphics.Device;

public class Display extends Device {

	public Display() { getSession().setDisplay(this); }

	public static Display getCurrent() { return getSession().getDisplay(); }

	protected static RuiSession getSession() {
		RuiSession session =
			RuiSessionManager.getInstance().getSessionByThread();
		assert session != null;
		return session;
	}

// mock methods for SWT compatibility -----------------------------------------

	public void dispose() {}
	public void timerExec(int milliseconds, Runnable runnable) {}
	public void asyncExec(Runnable runnable) {}

	public boolean sleep          () { return true;}
	public boolean readAndDispatch() { return true; }
	public Control getFocusControl() { return null; }

}
