package il.co.cortext.rui.remote.tests;

import il.co.cortext.rui.remote.RuiApplicationManager;

import junit.framework.TestCase;

public class RuiApplicationManagerTest extends TestCase {

	private RuiApplicationManager subject;

	public RuiApplicationManagerTest(String name) { super(name); }

	public void testStart() throws Exception {
		subject = new RuiApplicationManager(
			"DEFAULT  , il.co.cortext.rui.remote.tests.RuiMockApplication;" +
			"foo      , il.co.cortext.rui.remote.tests.RuiMockApplication;" +
			"bar      , il.co.cortext.rui.remote.tests.RuiMockApplication;"
		);
		String[] names = {null, "foo", "bar"};
		RuiMockApplication.reset();
		for (int i = 0; i < names.length; i++) {
			subject.start(names[i]);
			assertTrue(RuiMockApplication.getFlag());
			RuiMockApplication.reset();
		}
	}

}
