package il.co.cortext.rui.remote.tests;

import junit.framework.TestCase;
import il.co.cortext.rui.remote.RuiClientEvent;

public class RuiClientEventTest extends TestCase {

	RuiClientEvent subject;
	
	public RuiClientEventTest(String name) { super(name); }

	public void testSetXML() throws Exception {
		subject = new RuiClientEvent(
			"<rui>" +
			"<sessionId>1234</sessionId>" +
			"<name>Click</name>" +
			"<sourceId>E3</sourceId>" +
			"</rui>"
		);
		assertEquals("1234", subject.getValue("sessionId"));
		assertEquals("Click", subject.getValue("name"));
		assertEquals("E3", subject.getValue("sourceId"));
	}

}
