package Rui::Application::eg::DoubleList;

use Rui::Model::DoubleList;

use base 'Rui::Application::Base';

sub start
{
	my $self = shift;
	$self->layoutManager(name => 'fill');
	my $model = Rui::Model::DoubleList->new(
		left => Rui::Model::SelectionInList->new(
			data         => [qw(engine tube tire door window roof display)],
			selectedItem => 'tube',
		),
	);
	$self->DoubleList(model => $model);
}

1;
