package Rui::Application::eg::HTMLEditor;

use Rui::Model::Value;

use base 'Rui::Application::Base';

sub start
{
	my $self = shift;
	$self->layoutManager(name => 'grid');

	$self->Label->value('enter HTML in the top area, then focus out');
	my $model = Rui::Model::Value->new;
	$self->HTMLEditor(
		model      => $model,
		layoutHint => {fill => 1, flex => 1},
	);
	$self->TextArea(
		model      => $model,
		layoutHint => {fill => 1, flex => 1},
		disabled   => 1,
	);
}

1;
