package Rui::Application::eg::SplitPanel;

use base 'Rui::Application::Base';

sub start
{
	my $self = shift;
	$self->layoutManager(name => 'fill');
	my $splitPanel = $self->SplitPanel;
	my $noteBook = $splitPanel->NoteBook;
	foreach my $i (1..3) {
		$noteBook->Tab(value => "tab $i");
		$noteBook->Page->Label(value => "A Label in tab $i");
	}
	$splitPanel->TextArea(value => 'Rui - Remote User Interface')->
		style(marginLeft => 0);
}

1;
