package Rui::Application::eg::Table;

use Rui::Model::SelectionInList;

use base 'Rui::Application::Base';

my $ROW_COUNT = 10;
my $COL_COUNT = 4;

sub start
{
	my $self = shift;
	$self->layoutManager(name => 'grid');
	my $label = $self->Label(value => 'Click item to change me');

	my $model = Rui::Model::SelectionInList->new(
		data => [map {
			my $row = $_;
			[map { "Item $row:$_" } 1..$COL_COUNT]
		} 1..$ROW_COUNT]
	);
	$self->Table(
		layoutHint => {flex => 1, fill => 1},
		model      => $model,
		cols       => [map { {value => "Col $_"} } 1..$COL_COUNT],
	);

#	$model->selection->addListener(Change => sub {
#		$label->value(split /:/, shift->value->[0])
#	});
}

1;

__END__

