package Rui::Application::eg::TextArea;

use Rui::Model::Value;

use base 'Rui::Application::Base';

sub start
{
	my $self = shift;
	$self->layoutManager(name => 'grid');

	$self->Label->value('type text in the top text area, then focus out');
	my $model = Rui::Model::Value->new;
	$self->TextArea(
		model      => $model,
		layoutHint => {fill => 1, flex => 1},
	);
	$self->TextArea(
		model      => $model,
		layoutHint => {fill => 1, flex => 1},
		disabled   => 1,
	);
}

1;
