package Rui::Model::tests::AllTests;

use Test::Unit::TestSuite;

sub new { bless {}, shift }

sub suite {
	my $suite = Test::Unit::TestSuite->empty_new("Rui::Model");
	$suite->add_test(Test::Unit::TestSuite->new("Rui::Model::tests::Value"));
	$suite->add_test(Test::Unit::TestSuite->new("Rui::Model::tests::List"));
	$suite->add_test(Test::Unit::TestSuite->new("Rui::Model::tests::SelectionInList"));
	$suite->add_test(Test::Unit::TestSuite->new("Rui::Model::tests::TreeNode"));
	$suite->add_test(Test::Unit::TestSuite->new("Rui::Model::tests::Tree"));
	$suite->add_test(Test::Unit::TestSuite->new("Rui::Model::tests::SelectionInTree"));
	return $suite;
}

1;
