package Rui::View::tests::AllTests;

use Test::Unit::TestSuite;

sub new { bless {}, shift }

sub suite {
	my $suite = Test::Unit::TestSuite->empty_new("Rui::View");
	$suite->add_test(Test::Unit::TestSuite->new("Rui::View::tests::TextField"));
	$suite->add_test(Test::Unit::TestSuite->new("Rui::View::tests::TextArea"));
	$suite->add_test(Test::Unit::TestSuite->new("Rui::View::tests::HTMLArea"));
	$suite->add_test(Test::Unit::TestSuite->new("Rui::View::tests::HTMLEditor"));
	$suite->add_test(Test::Unit::TestSuite->new("Rui::View::tests::CheckBox"));
	return $suite;
}

1;
