package Rui::View::tests::TextField;

use base qw(Rui::Widget::tests::TestCase);

sub getSubjectClass { 'TextField' }

sub set_up
{
	my $self = shift;
	$self->SUPER::set_up;
	$self->{subject} = $self->createWidget;
	$self->flushBuffer;
}

sub test_value
{
	my $self = shift;
	$self->{subject}->model->value('foo');
	$self->assert_serverBuffer('W1', 'E1', ([qw(value foo)]));
}

1;

