package Rui::Window::URL;

use Carp;
use Attribute::Protected;

use base 'Rui::Window';

# creating------------------------------------------------------------------

sub init
{
	my ($self, %params) = @_;
	$self->SUPER::init(%params);
	my $url = $params{url} || undef;
	$self->url($url) if $url;
}

sub populate : Protected {}

# accessing ----------------------------------------------------------------

sub url
{
	my ($self, $url) = @_;
	return $self->{url} if @_==1;
	$self->{url} = $url;
	$self->sendToClient(url => $url);
	return $self;
}

# template methods ---------------------------------------------------------

sub getWindowClass : Protected { 'URLWindow' }

# --------------------------------------------------------------------------

1;
