package Rui::tests::AllTests;

use Test::Unit::TestSuite;

use Rui::Event::tests::AllTests;
use Rui::Model::tests::AllTests;
use Rui::Widget::tests::AllTests;
use Rui::View::tests::AllTests;

sub new { bless {}, shift }

sub suite {
	my $suite = Test::Unit::TestSuite->empty_new("Rui");
	$suite->add_test(Rui::Event::tests::AllTests->suite);
	$suite->add_test(Rui::Model::tests::AllTests->suite);
	$suite->add_test(Rui::Widget::tests::AllTests->suite);
	$suite->add_test(Rui::View::tests::AllTests->suite);
	return $suite;
}

1;
