
package PhoneBook::View::Contact;

use Carp;
use Attribute::Protected;

use base 'Rui::View::Base';

sub populate : Protected
{
	my $self = shift;
	$self->layoutManager(name => 'grid', numCols => 2);

	$self->Label(value => 'Name:', layoutHint => {hAlign => 'end'});
	$self->TextField(
		holder     => 'name',
		layoutHint => {hFlex => 1, hAlign => 'fill'},
	);

	$self->Label(value => 'Phone number:', layoutHint => {hAlign => 'end'});
	$self->TextField(
		holder     => 'phone',
		layoutHint => {hFlex => 1, hAlign => 'fill'},
	);

	$self->Label(value => 'Email:', layoutHint => {hAlign => 'end'});
	$self->TextField(
		holder     => 'email',
		layoutHint => {hFlex => 1, hAlign => 'fill'},
	);
}

1;

