
Class("Client_ServerResponse");

_.init = function (response) {
	if (response.match(/^Error:/)) Throw("Server error:" + response);
	var splitResponse = response.split("\n");
	this.sessionId    = splitResponse.slice(0, 1);
	this.message      = splitResponse.slice(1).join("\n"); 
}

_.getSessionId = function () { return this.sessionId }
_.getMessage   = function () { return this.message }


