
use ("Widget_Window");
use ("Widget_List");

Class("Widget_List_Controller_tests_Single", "Test_Case");

_.setUp = function () {
	try { this.window.destroy() } catch (e) {}
	this.window = new Widget_Window("W1");
}

_.tearDown = function () { this.window.destroy() }

_.testOnClick = function () {
	var controller = Widget_List_Controller_Single.get();
	var list = new Widget_List("W1", this.window);
	list.insert(0, "foo");
	list.insert(1, "bar");
	list.insert(2, "baz");
	var event = controller.onClick(list, 1, 0, 0);
	this.assertEquals("selected index", 1, event.selectedIndex);
}

