
Class("Widget_Tree_NodeHead", "Widget_Label");

// button states: N null, O open, C closed

// creating -------------------------------------------------------------------

_.populate = function () {
	this.Widget_Label_populate();
	this.buttonState = "N";
	var image        = this.createElement("img");
	image.className  = this.getWidgetClass() + "_Button";
	image.src        = "images/icons/Null.gif";
	image.width      = 16;
	image.height     = 16;
	image.align      = "absmiddle";
	this.element.insertBefore(image, this.element.lastChild);
}

// button management ----------------------------------------------------------

_.setButtonState = function (state) {
	this.buttonState = state;
	this.getButton().src = "images/icons/" + (
		state == "O"? "Minus":
		state == "C"? "Plus":
		"Null"
	) + ".gif";
}

_.getButtonState = function () { return this.buttonState }

_.getButton = function () {
	var images = this.element.getElementsByTagName("img");
	return images[0];
}

// template methods -----------------------------------------------------------

_.getWidgetClass = function () { return "Tree_NodeHead" }
