
use ("Widget_CheckBox");

Class("Widget_tests_CheckBox", "Widget_tests_TestCase");

_.getSubjectClass = function () { return Widget_CheckBox }

_.testValue = function () {
	this.subject.value("1");
	this.assertEquals("value true", true, this.subject.getValue());
	this.subject.value("0");
	this.assertEquals("value false", false, this.subject.getValue());
}

_.testLabel = function () {
	this.subject.label("foo");
	this.assertEquals("label", "foo", this.subject.getLabel());
}

_.testReadOnly = function () {
	this.subject.readOnly("1");
	this.assertEquals("readOnly true", true, this.subject.getReadOnly());
	this.subject.readOnly("0");
	this.assertEquals("readOnly false", false, this.subject.getReadOnly());
}
